import { IContainer } from 'aurelia';
import type { IStoreService, StoreKey, StoreLoadOptions } from './i-store-service';
import type { IStoreMessenger } from './i-store-messenger';
/**
 * StoreService
 */
export declare class StoreService implements IStoreService {
    private readonly _container;
    private _isInit;
    private readonly _store;
    private _tokens;
    private _channel;
    private _ev?;
    constructor(_container: IContainer);
    /** Initialize */
    initialize(options?: {
        /** event aggregator implementation */
        eventAggregator?: IStoreMessenger;
        /** @default 'au2.store-service' */
        channel?: string;
    }): void;
    /** Dispose */
    dispose(): void;
    /** Set data/load on Store */
    setStore(...options: StoreLoadOptions[]): void;
    /** Delete data/load from Store */
    delStore(key: StoreKey): void;
    /** Get data from Store */
    getStore<T = unknown>(key: StoreKey): Promise<T>;
    /** Refresh data from Store */
    refreshStore(key: StoreKey): Promise<void>;
}
